MapType (Snowpark Java API Reference 1.19.1)

Package com.snowflake.snowpark_java.types

## Class MapType

- java.lang.Object
- - com.snowflake.snowpark_java.types.DataType
  - - com.snowflake.snowpark_java.types.MapType

- All Implemented Interfaces:
    `java.io.Serializable`

      public class MapType
      extends DataType

  Map data type. This maps to OBJECT data type in Snowflake.
  Since:
    0.9.0
  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object other)` | Verifies if a DataType equals to this one.
    `DataType` | `getKeyType()` | Retrieves the data type of this MapType's key.
    `DataType` | `getValueType()` | Retrieves the data type of this MapType's value.
    `int` | `hashCode()` | Calculates the hash code of this Map Type Object.
    `java.lang.String` | `toString()` | Generates a String value to represent this map type.

    - ### Methods inherited from class com.snowflake.snowpark_java.types.DataType

      `typeName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getKeyType

          public DataType getKeyType()

      Retrieves the data type of this MapType's key.
      Returns:
        A DataType object representing the key type of this MapType
      Since:
        0.9.0

    - #### getValueType

          public DataType getValueType()

      Retrieves the data type of this MapType's value.
      Returns:
        A DataType object representing the value type of this MapType
      Since:
        0.9.0

    - #### toString

          public java.lang.String toString()

      Generates a String value to represent this map type.
      Overrides:
        `toString` in class `DataType`
      Returns:
        A String value in the format of "MapType['key type', 'value type']"
      Since:
        0.9.0

    - #### equals

          public boolean equals​(java.lang.Object other)

      Verifies if a DataType equals to this one.
      Overrides:
        `equals` in class `DataType`
      Parameters:
        `other` - A DataType object
      Returns:
        true if these data types are equivalent, false for otherwise.
      Since:
        0.9.0

    - #### hashCode

          public int hashCode()

      Calculates the hash code of this Map Type Object.
      Overrides:
        `hashCode` in class `DataType`
      Returns:
        An int number representing the hash code value
      Since:
        0.9.0